<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.18.1.final using JasperReports Library version 6.18.1-9d75d1969e774d4f179fb3be8401e98a0e6d1611  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="reportProdcuctFacility" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="6379d661-8973-4f77-a983-cf2edf8d1e2a">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<queryString>
		<![CDATA[select SUM(a.quantity), 
	t.name, 
	t.code, 
	t.description,
	f.name as fasiliti,
	c.expired_date,
	c.production_code,
	f.id

from tbinventoryallocation a

left join tbwarehouselocation l on a.location = l.id
left join tbwarehousefacility f on l.facility = f.id
left join tbproduct t on a.product = t.id
left join tbinventoryblock c on a.block = c.id

where f.id in ( 1,2,3 ) and 
l.quarantine = false and lower(l.area) != 'receiving'
and lower(l.area) != 'repackage' and f.point_type = 1
and a.id not in (select allocation from tbdispatchallocation where status < 6)

GROUP BY t.name, t.code, t.description, f.name, c.expired_date, c.production_code,
f.id
Order by  f.name, t.code]]>
	</queryString>
	<field name="SUM(a.quantity)" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="SUM(a.quantity)"/>
		<property name="com.jaspersoft.studio.field.label" value="SUM(a.quantity)"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="fasiliti" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="fasiliti"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbwarehousefacility"/>
	</field>
	<field name="expired_date" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.name" value="expired_date"/>
		<property name="com.jaspersoft.studio.field.label" value="expired_date"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinventoryblock"/>
	</field>
	<field name="production_code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="production_code"/>
		<property name="com.jaspersoft.studio.field.label" value="production_code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinventoryblock"/>
	</field>
	<field name="id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbwarehousefacility"/>
	</field>
	<variable name="V_CURRENT_PAGE_NUMBER" class="java.lang.Integer" resetType="Page">
		<variableExpression><![CDATA[1]]></variableExpression>
		<initialValueExpression><![CDATA[$V{PAGE_NUMBER} + 1]]></initialValueExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="115" splitType="Stretch">
			<line>
				<reportElement positionType="Float" x="0" y="60" width="800" height="1" uuid="34c5feb1-6161-4ec2-9a7d-c33c3a6f7f17">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<staticText>
				<reportElement x="0" y="0" width="800" height="30" uuid="1b30fc41-0cdf-4fcf-8577-143f1fd9ac19"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="19" isBold="true"/>
				</textElement>
				<text><![CDATA[REPORT STOK PRODUK TERSEDIA]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="60" width="100" height="54" uuid="d6147e67-f3a6-42e5-b7a6-7d53b0761eb7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Kode Produk"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="100" y="60" width="190" height="54" uuid="c00d4426-e0bc-4d38-bcaf-43a7fcbf0132"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Descreption Produk"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="290" y="60" width="100" height="54" uuid="c15648e6-ed29-4512-aacb-7195be967980"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Kode Produksi"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="390" y="60" width="109" height="54" uuid="33148dd7-49a6-4db2-bc68-f732404191fc"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Expired Date"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="630" y="60" width="170" height="54" uuid="3c4c4645-7a4f-444a-a210-35ecc23a6a56"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Gudang"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="499" y="61" width="130" height="54" uuid="7cc3ea04-810f-4c52-823e-452ee0b3c0e4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["stok"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="28" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="1" width="800" height="27" backcolor="#FFFFFF" uuid="70a55137-30e8-4cb4-8233-c5f1f38c5304"/>
			</rectangle>
			<textField>
				<reportElement x="0" y="1" width="100" height="26" uuid="ff5178f6-372d-4b42-a1c2-2e60a6a42a3d"/>
				<box leftPadding="4"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="101" y="2" width="189" height="26" uuid="ec4752a6-212e-4926-89e7-f1d3be711719"/>
				<box leftPadding="4"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{description}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="630" y="2" width="170" height="24" uuid="09627319-8afc-4f38-ba7b-5cd711cd9455"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{fasiliti}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MM-yyyy">
				<reportElement x="390" y="3" width="110" height="24" uuid="fdd98caa-8a18-484f-a336-eaf8455b56cc"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{expired_date}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="290" y="4" width="100" height="24" uuid="9d0395d0-393b-40e7-9b72-de935b69fc0a"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{production_code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="500" y="2" width="130" height="24" uuid="b62e04e8-7cb9-4a94-8703-393b628d4486"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{SUM(a.quantity)}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField evaluationTime="Master" isBlankWhenNull="true">
				<reportElement x="0" y="0" width="553" height="20" uuid="1b18e1d2-454f-4eaa-ada9-3ef0da58b0ce"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Page: "+$V{MASTER_CURRENT_PAGE}+" of "+$V{MASTER_TOTAL_PAGES}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
